php74-php-pecl-amqp-1.9.4-8.el7.remi.x86_64.rpm


Advertisement

Description

php74-php-pecl-amqp - Communicate with any AMQP compliant server

Property Value
Distribution CentOS 7
Repository Les RPM de Remi x86_64
Package filename php74-php-pecl-amqp-1.9.4-8.el7.remi.x86_64.rpm
Package name php74-php-pecl-amqp
Package version 1.9.4
Package release 8.el7.remi
Package architecture x86_64
Package type rpm
Homepage http://pecl.php.net/package/amqp
License PHP
Maintainer -
Download size 80.01 KB
Installed size 259.86 KB
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.
Package built for PHP 7.4 as Software Collection (php74 by remi).

Alternatives

Package Version Architecture Repository
php74-php-pecl-amqp-1.9.4-9.el7.remi.x86_64.rpm 1.9.4 x86_64 Les RPM de Remi
php74-php-pecl-amqp - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
librabbitmq(x86-64) >= 0.8.0
librabbitmq.so.4()(64bit) -
php74-php(api) = 20190529-64
php74-php(zend-abi) = 20190529-64
php74-runtime -
php74-runtime(remi)(x86-64) -
rtld(GNU_HASH) -

Provides

Name Value
config(php74-php-pecl-amqp) = 1.9.4-8.el7.remi
php74-php-amqp = 1.9.4
php74-php-amqp(x86-64) = 1.9.4
php74-php-pecl(amqp) = 1.9.4
php74-php-pecl(amqp)(x86-64) = 1.9.4
php74-php-pecl-amqp = 1.9.4-8.el7.remi
php74-php-pecl-amqp(x86-64) = 1.9.4-8.el7.remi
scl-package(php74) -

Download

Type URL
Mirror rpms.remirepo.net
Binary Package php74-php-pecl-amqp-1.9.4-8.el7.remi.x86_64.rpm
Source Package php74-php-pecl-amqp-1.9.4-8.el7.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/enterprise/7/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install php74-php-pecl-amqp rpm package:
    # yum --enablerepo=remi install php74-php-pecl-amqp

Files

Path
/etc/opt/remi/php74/php.d/40-amqp.ini
/opt/remi/php74/root/usr/lib64/php/modules/amqp.so
/opt/remi/php74/root/usr/share/doc/pecl/amqp/CREDITS
/opt/remi/php74/root/usr/share/doc/pecl/amqp/benchmark.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQP.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPBasicProperties.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPChannel.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPChannelException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPConnection.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPConnectionException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPDecimal.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPEnvelope.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPEnvelopeException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPExchange.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPExchangeException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPQueue.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPQueueException.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPTimestamp.php
/opt/remi/php74/root/usr/share/doc/pecl/amqp/stubs/AMQPValueException.php
/opt/remi/php74/root/usr/share/licenses/php74-php-pecl-amqp-1.9.4/LICENSE
/var/opt/remi/php74/lib/pear/pkgxml/php74-php-pecl-amqp.xml

Changelog

2019-07-23 - Remi Collet <remi@remirepo.net> - 1.9.4-8
- rebuild for 7.4.0beta1
2019-05-29 - Remi Collet <remi@remirepo.net> - 1.9.4-7
- rebuild
2019-01-02 - Remi Collet <remi@remirepo.net> - 1.9.4-6
- update to 1.9.4
- drop patch merged upstream
- raise minimal PHP version to 5.6
and open https://github.com/pdezwart/php-amqp/pull/338

See Also

Package Description
php74-php-pecl-apcu-5.1.17-5.el7.remi.x86_64.rpm APC User Cache
php74-php-pecl-apcu-5.1.18-1.el7.remi.x86_64.rpm APC User Cache
php74-php-pecl-apcu-bc-1.0.5-2.el7.remi.x86_64.rpm APCu Backwards Compatibility Module
php74-php-pecl-apcu-bc-1.0.5-3.el7.remi.x86_64.rpm APCu Backwards Compatibility Module
php74-php-pecl-apcu-devel-5.1.17-5.el7.remi.x86_64.rpm APCu developer files (header)
php74-php-pecl-apcu-devel-5.1.18-1.el7.remi.x86_64.rpm APCu developer files (header)
php74-php-pecl-apfd-1.0.1-12.el7.remi.x86_64.rpm Always Populate Form Data
php74-php-pecl-apfd-1.0.1-13.el7.remi.x86_64.rpm Always Populate Form Data
php74-php-pecl-base58-0.1.4-2.el7.remi.x86_64.rpm Encode and decode data with base58
php74-php-pecl-base58-0.1.4-3.el7.remi.x86_64.rpm Encode and decode data with base58
php74-php-pecl-bitset-3.0.1-3.el7.remi.x86_64.rpm BITSET library
php74-php-pecl-bitset-3.0.1-4.el7.remi.x86_64.rpm BITSET library
php74-php-pecl-cassandra-1.3.2-7.el7.remi.x86_64.rpm DataStax PHP Driver for Apache Cassandra
php74-php-pecl-cassandra-1.3.2-8.el7.remi.x86_64.rpm DataStax PHP Driver for Apache Cassandra
php74-php-pecl-cmark-1.2.0-2.el7.remi.x86_64.rpm CommonMark extension
Advertisement
Advertisement